{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "javatools"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 10000,
                    "coresMin": 2
                }
            ],
            "hints": [
                {
                    "keep_cache": 1046,
                    "class": "http://arvados.org/cwl#RuntimeConstraints"
                },
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "baseCommand": "bash",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#createcgf.cwl/bashscript"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#createcgf.cwl/cgft"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#createcgf.cwl/cglf"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#createcgf.cwl/fjdir"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#createcgf.cwl/fjt"
                }
            ],
            "id": "#createcgf.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/*.cgf"
                    },
                    "id": "#createcgf.cwl/out1"
                }
            ]
        },
        {
            "class": "ExpressionTool",
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#getdirs.cwl/refdirectory"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#getdirs.cwl/out1"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "expression": "${\n  var samples = [];\n  for (var i = 0; i < inputs.refdirectory.listing.length; i++) {\n    var name = inputs.refdirectory.listing[i];\n    var type = name.class;\n     if (type === 'Directory') {\n          samples.push(name)\n        }\n  }\n  return {\"out1\": samples};\n} \n",
            "id": "#getdirs.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "javatoolsparallel"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/bashscript"
                },
                {
                    "type": "File",
                    "id": "#main/cgft"
                },
                {
                    "type": "Directory",
                    "id": "#main/cglf"
                },
                {
                    "type": "File",
                    "id": "#main/fjt"
                },
                {
                    "type": "Directory",
                    "id": "#main/refdirectory"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/step2/out1",
                    "id": "#main/out1"
                }
            ],
            "steps": [
                {
                    "run": "#getdirs.cwl",
                    "in": [
                        {
                            "source": "#main/refdirectory",
                            "id": "#main/step1/refdirectory"
                        }
                    ],
                    "out": [
                        "#main/step1/out1"
                    ],
                    "id": "#main/step1"
                },
                {
                    "scatter": "#main/step2/fjdir",
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/bashscript",
                            "id": "#main/step2/bashscript"
                        },
                        {
                            "source": "#main/cgft",
                            "id": "#main/step2/cgft"
                        },
                        {
                            "source": "#main/cglf",
                            "id": "#main/step2/cglf"
                        },
                        {
                            "source": "#main/step1/out1",
                            "id": "#main/step2/fjdir"
                        },
                        {
                            "source": "#main/fjt",
                            "id": "#main/step2/fjt"
                        }
                    ],
                    "run": "#createcgf.cwl",
                    "out": [
                        "#main/step2/out1"
                    ],
                    "id": "#main/step2"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "arv": "http://arvados.org/cwl#",
        "cwltool": "http://commonwl.org/cwltool#"
    }
}
